Skip to main content
POST
Post a top-level comment on a pull request

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

pullRequestID
string<uuid>
required

Query Parameters

org_id
string<uuid>

The pull request's owning organization to act in: the org_id the PullRequest carries. Required when more than one of the caller's organizations owns the pull request.

Body

application/json
body
string
required
Minimum string length: 1
Pattern: \S
idempotency_key
string<uuid>
required

Response

Created

author_association
string
required
Minimum string length: 1
author_login
string | null
required
Minimum string length: 1
body
string
required
created_at
string<date-time>
required
github_comment_id
integer<int64>
required
Required range: 1 <= x <= 9007199254740991